Bug 451978 - Package perl-Bit-Vector should be taken from RHEL channel and removed from ISO
Package perl-Bit-Vector should be taken from RHEL channel and removed from ISO
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Jeff Browning
:
Depends On:
Blocks: 446877
  Show dependency treegraph
 
Reported: 2008-06-18 10:38 EDT by Jan Pazdziora
Modified: 2008-11-05 13:40 EST (History)
0 users

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:40:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-06-18 10:38:45 EDT
Description of problem:

The package perl-Bit-Vector is present both in RHEL 4 and in RHEL 5. We should
not ship our own (old) version.

Version-Release number of selected component (if applicable):

Satellite 5.1.0

How reproducible:

Deterministic.

Steps to Reproduce:
1. Mount Satellite ISO, cd to it.
2. Run find . -name 'perl-Bit-Vector*'
3. Also look into the Satellite channel.
  
Actual results:

Rpm found.

Expected results:

No package found and Satellite installs and operates normally.

Additional info:
Comment 1 Jan Pazdziora 2008-06-18 10:58:59 EDT
This only applies to Satellite on RHEL 5 -- on RHEL 4 the package needs to be
present as we've shipped newer version than the one in RHEL 4.
Comment 2 Jan Pazdziora 2008-06-18 11:30:57 EDT
Committed to comps:

It was removed from comps-rhel4-rhnsat52.xml but returned back:

Checking in comps-rhel4-rhnsat52.xml;
/cvs/devel/comps/comps-rhel4-rhnsat52.xml,v  <--  comps-rhel4-rhnsat52.xml
new revision: 1.20; previous revision: 1.19


Committed to rhelrpms:

It was added to rhelrpms.i386/rhelrpms 1.2 but got removed:

Checking in 4/RHN-Satellite-5.2/updates/rhelrpms.i386/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.2/updates/rhelrpms.i386/rhelrpms,v  <-- 
rhelrpms
new revision: 1.5; previous revision: 1.4
done
Checking in 4/RHN-Satellite-5.2/updates/rhelrpms.s390/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.2/updates/rhelrpms.s390/rhelrpms,v  <-- 
rhelrpms
new revision: 1.5; previous revision: 1.4
done
Checking in 4/RHN-Satellite-5.2/updates/rhelrpms.s390x/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.2/updates/rhelrpms.s390x/rhelrpms,v  <--
 rhelrpms
new revision: 1.5; previous revision: 1.4
done
Checking in 4/RHN-Satellite-5.2/updates/rhelrpms.x86_64/rhelrpms;
/cvs/devel/rhelfiles/4/RHN-Satellite-5.2/updates/rhelrpms.x86_64/rhelrpms,v  <--
 rhelrpms
new revision: 1.5; previous revision: 1.4


For RHEL 5 we did not do the revert.
Comment 3 Brad Buckingham 2008-08-13 12:52:18 EDT
Mass move to ON_QA.
Comment 4 Jeff Browning 2008-08-18 19:23:54 EDT
find . -name 'perl-Bit-Vector*'
from mounted iso
file not found

Verified
Comment 5 Jeff Browning 2008-10-21 13:20:43 EDT
Verified
Comment 6 Brandon Perkins 2008-11-05 13:40:39 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.